Bug Hunting Session
Bug 126511 - Delete path to Gallery from graphics list in B&N dialog
Summary: Delete path to Gallery from graphics list in B&N dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords:
Depends on:
Blocks: Impress-Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2019-07-22 14:21 UTC by Roman Kuznetsov
Modified: 2019-08-01 09:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (407.57 KB, image/jpeg)
2019-07-22 14:24 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-07-22 14:21:40 UTC
Description:
Delete path to Gallery image from image name in list Select image->Gallery in new Impress B&N dialog.
Let's make only image name there instead full path.

Steps to Reproduce:
See screenshot in attach

Actual Results:
there are full paths to Gallery images in list

Expected Results:
there are only image names in list


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: c738be4de6886a0c96b7d10df7e78c8b2964c135
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 1 Roman Kuznetsov 2019-07-22 14:24:16 UTC
Created attachment 152941 [details]
Screenshot
Comment 2 Heiko Tietze 2019-07-23 08:06:15 UTC
Sounds like a plan. Same issue in the old dialog.

The dropdown control is not suited for a list that long anyway. But small steps are better than none.
Comment 3 Heiko Tietze 2019-07-24 08:22:18 UTC
Code pointer:

bool GalleryExplorer::FillObjList( const OUString& rThemeName, std::vector<OUString> &rObjList ) in svx/source/gallery2/galexpl.cxx 

INetURLObject aObj( pTheme->GetObjectURL( i ).GetMainURL(INetURLObject::DecodeMechanism::NONE ) );
rObjList.push_back( aObj.GetLastName() );

That removes the path but it needs to be added back when applied.
Comment 4 Commit Notification 2019-07-31 08:55:26 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7c973ea77438273deda909ce0563d8c5c37dad00%5E%21

tdf#126511 Show only icon names instead of full path.

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-07-31 12:36:30 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 7680623292f272cf1a8cceb4abb5a67bb5469918
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Gülşah Köse, thanks for fixing this issue!
Comment 6 Commit Notification 2019-08-01 09:14:12 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/485faf158a904baa07206313e0c234e5421f9739%5E%21

tdf#126511 Show only icon names instead of full path.

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.